Bug 1825415 - oVirt prompts and logging aren't correctly formatted
Summary: oVirt prompts and logging aren't correctly formatted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Alex Crawford
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1825418
TreeView+ depends on / blocked
 
Reported: 2020-04-17 23:09 UTC by Alex Crawford
Modified: 2020-07-13 17:28 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1825418 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:28:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3474 0 None closed Bug 1825415: ovirt: clean up prompts and logging 2020-06-23 10:06:20 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:28:58 UTC

Description Alex Crawford 2020-04-17 23:09:27 UTC
For example:

$ openshift-install destroy cluster --dir one
INFO searching VMs by tag=one-6xlb7
INFO Found %!s(int=3) VMs
INFO Stopping VM one-6xlb7-master-1 : errors: %s%!(EXTRA <nil>)
INFO Stopping VM one-6xlb7-master-2 : errors: %s%!(EXTRA <nil>)
INFO Stopping VM one-6xlb7-master-0 : errors: %s%!(EXTRA <nil>)
INFO Removing VM one-6xlb7-master-1 : errors: %s%!(EXTRA <nil>)


I'm marking this high because of the impact it has on the user experience.

Comment 1 Alex Crawford 2020-04-18 01:46:29 UTC
Looks good to me.

Destroy cluster ...
level=info msg="Stopping VM ovirt01-xptq5-master-0"
level=info msg="Stopping VM ovirt01-xptq5-worker-0-2526w"
level=info msg="Stopping VM ovirt01-xptq5-master-1"
level=info msg="Stopping VM ovirt01-xptq5-worker-0-7mcqz"
level=info msg="Stopping VM ovirt01-xptq5-master-2"
level=info msg="VM ovirt01-xptq5-master-0 powered off"
level=info msg="Removing VM ovirt01-xptq5-master-0"
level=info msg="VM ovirt01-xptq5-worker-0-2526w powered off"
level=info msg="Removing VM ovirt01-xptq5-worker-0-2526w"
level=info msg="VM ovirt01-xptq5-master-2 powered off"
level=info msg="Removing VM ovirt01-xptq5-master-2"
level=info msg="VM ovirt01-xptq5-master-1 powered off"
level=info msg="Removing VM ovirt01-xptq5-master-1"
level=info msg="VM ovirt01-xptq5-worker-0-7mcqz powered off"
level=info msg="Removing VM ovirt01-xptq5-worker-0-7mcqz"
level=info msg="Removing tag ovirt01-xptq5"

Comment 3 errata-xmlrpc 2020-07-13 17:28:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.